/*
*/
#include "RTSCoproHelper.h"
//#include "RTSMonFrame.h"
#include <pthread.h>
#include <map>
#include <string>




class RTSMonitoringTask
{
private:
    /* data */
    //lock Element

    /* The file descriptor used to manage our TTY over RPMSG */
    int mFdRpmsg[2] = {-1, -1};
    RTSCoproHelper coproHelper;

    //std::map<int, RTSMonFrame*> rtsMonFrames;

    pthread_t monThread;

public:

    RTSMonitoringTask(/* args */);       
    ~RTSMonitoringTask();

    //static RTSMonitoringTask& Instance();
    bool Init();
    //bool CreateMonitoring(int id, std::string name, int samplerate, int sampleperiod, int downtime, std::string status);
    bool LoadFW();
    bool Start(int samplerate, int sampleperiod, int downtime); 
    bool Stop(std::string id);

private: 
    // static void* Run(void *obj);
    // bool Load();

};
